summaryrefslogtreecommitdiffstats
path: root/misc/owfs
diff options
context:
space:
mode:
Diffstat (limited to 'misc/owfs')
-rw-r--r--misc/owfs/README5
-rw-r--r--misc/owfs/owfs.SlackBuild91
-rw-r--r--misc/owfs/owfs.info10
-rw-r--r--misc/owfs/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/misc/owfs/README b/misc/owfs/README
new file mode 100644
index 0000000000..2a0fc870b6
--- /dev/null
+++ b/misc/owfs/README
@@ -0,0 +1,5 @@
+OWFS is an easy way to use the powerful 1-wire system of Dallas/Maxim.
+
+OWFS is a simple and flexible program to monitor and control the physical
+environment. You can write scripts to read temperature, flash lights,
+write to an LCD, log and graph, ...
diff --git a/misc/owfs/owfs.SlackBuild b/misc/owfs/owfs.SlackBuild
new file mode 100644
index 0000000000..7ab877ea64
--- /dev/null
+++ b/misc/owfs/owfs.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for OWFS
+
+# Written by MrJackson mrjackson@gmail.com
+
+PRGNAM=owfs
+VERSION=${VERSION:-2.8p10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -r $PKG/usr/share/man
+
+# Remove perllocal.pod and other special files; remove empty directories
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/owfs/owfs.info b/misc/owfs/owfs.info
new file mode 100644
index 0000000000..1462da61c8
--- /dev/null
+++ b/misc/owfs/owfs.info
@@ -0,0 +1,10 @@
+PRGNAM="owfs"
+VERSION="2.8p10"
+HOMEPAGE="http://owfs.org/"
+DOWNLOAD="http://downloads.sourceforge.net/owfs/owfs-2.8p10.tar.gz"
+MD5SUM="40aaed8a7861528314b344aea708d7ce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="MrJackson"
+EMAIL="mrjackson@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/owfs/slack-desc b/misc/owfs/slack-desc
new file mode 100644
index 0000000000..5f5ad60d03
--- /dev/null
+++ b/misc/owfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+owfs: OWFS (1-Wire File System)
+owfs:
+owfs: OWFS is an easy way to use the powerful 1-wire system of Dallas/Maxim.
+owfs:
+owfs: OWFS is a simple and flexible program to monitor and control the
+owfs: physical environment. You can write scripts to read temperature,
+owfs: flash lights, write to an LCD, log and graph, etcetera ...
+owfs:
+owfs: http://owfs.org/
+owfs:
+owfs: